Ubuntu

fglrx (not installed): fglrx kernel module failed to build [error: implicit declaration of function ‘do_mmap’]

Reported by Josh on 2012-07-17
766
This bug affects 86 people
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
Undecided
Unassigned
Nominated for Quantal by Daniel van Vugt
Nominated for Raring by Daniel van Vugt
fglrx-installer-updates (Ubuntu)
Undecided
Unassigned
Nominated for Quantal by Daniel van Vugt
Nominated for Raring by Daniel van Vugt

Bug Description

trying to install ATI drivers

ProblemType: Package
DistroRelease: Ubuntu 12.10
Package: fglrx (not installed)
ProcVersionSignature: Ubuntu 3.5.0-4.4-generic 3.5.0-rc6
Uname: Linux 3.5.0-4-generic x86_64
NonfreeKernelModules: wl
.tmp.unity.support.test.1:

ApportVersion: 2.3-0ubuntu4
Architecture: amd64
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
DKMSKernelVersion: 3.5.0-4-generic
Date: Mon Jul 16 20:47:33 2012
DistUpgraded: 2012-07-16 16:38:43,731 DEBUG enabling apt cron job
DistroCodename: quantal
DistroVariant: ubuntu
DkmsStatus:
 bcmwl, 5.100.82.112+bdcom, 3.2.0-23-generic, x86_64: installed
 bcmwl, 5.100.82.112+bdcom, 3.5.0-4-generic, x86_64: installed
 fglrx, 8.980: added
GraphicsCard:
 Advanced Micro Devices [AMD] nee ATI RS880M [Mobility Radeon HD 4200 Series] [1002:9712] (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:1641]
 Advanced Micro Devices [AMD] nee ATI Robson CE [AMD Radeon HD 6300 Series] [1002:68e4] (prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:1641]
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
MachineType: Hewlett-Packard HP Pavilion dv7 Notebook PC
PackageVersion: (not installed)
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-4-generic root=UUID=051fedbd-e1fd-4b72-b1c0-4aa7cf7c4578 ro quiet splash vt.handoff=7
SourcePackage: fglrx-installer
Title: fglrx (not installed): fglrx kernel module failed to build
UpgradeStatus: Upgraded to quantal on 2012-07-16 (0 days ago)
dmi.bios.date: 03/24/2011
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.27
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 1641
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 67.33
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.27:bd03/24/2011:svnHewlett-Packard:pnHPPaviliondv7NotebookPC:pvr058A120000242B10000020100:rvnHewlett-Packard:rn1641:rvr67.33:cvnHewlett-Packard:ct10:cvrN/A:
dmi.product.name: HP Pavilion dv7 Notebook PC
dmi.product.version: 058A120000242B10000020100
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz 1:0.9.8+bzr3249-0ubuntu2
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.37-0ubuntu2
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.3-0ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.3-0ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.12.1.902-1ubuntu1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.0-0ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~really6.14.4-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.19.0-1ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.1-1build1

Josh (mr-cool59-n) wrote :
tags: removed: need-duplicate-check
summary: - fglrx (not installed): fglrx kernel module failed to build
+ fglrx (not installed): fglrx kernel module failed to build [error:
+ implicit declaration of function ‘do_mmap’]
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in fglrx-installer (Ubuntu):
status: New → Confirmed
Changed in fglrx-installer-updates (Ubuntu):
status: New → Confirmed
Dv8tion (dv8tion) wrote :

This Video card is listed on the Certified hardware, one would think it is supposed to work pretty well.

http://www.ubuntu.com/certification/catalog/component/pci:1002:9715-VIDEO/
http://www.ubuntu.com/certification/catalog/component/pci:1022:9601/

The Motherboard and chipset may have variances but 12.04 worked, 10.10 worked, so... I think it is reasonable to suggest something broke between that point, and the latest 12.10. Other than AMD punting support for slightly not brand new products, I can't see what it it.

You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1063030

Verdomde (frog-yawn) wrote :

As far as I've seen the AMD drivers(up to 12.9 beta) don't support the most recent kernels

Dv8tion (dv8tion) wrote :

Which is why I stepped down to the ATI/AMD 12.4 driver which had previously worked is that I don't really have the time to play "throw darts on the wall" with drivers at the moment to see which works. If 12.10 doesn't work because of something lame like a drive, it's off the menu regardless of how polished it may be.
12.04 (sort of ) works OOTB, but the 'updated' driver set on 12.04 does not. OOTB, 12.10 is a complete fail for me.

While I do appreciate Ubuntu (and other 'nix variants are not Windows) I am pretty sure a motherboard from 2011 should work with a modern 'nix distro.
My laptop based on 4 year old hardware happily runs Sabayon (Linux kernel 3.5) or the latest Gnome Ubuntu. They are very different machines. One fails completely, the other works like a charm post upgrade.

A user, irrespective of technically ability, should be able to expect their operating system to continue to work after an upgrade. The upgrade should give a serious hardware check before doing anything that may hamper that user's chances of being able to do anything post upgrade.

It has it's own issues but Sabayon is far better in this respect because rather than dumbing down the updates/upgrades, there is a box which basically says "if you do X, Y may happen. Z may be an option and here is more information". This is where Rigo (Sabayon's GUI software installer) totally flattens Ubuntu's both the Software Centre & Update Manager. But that is just my opinion. I may not be able to use it, at least I know I am unable to do so. So time is not wasted against dumbed down upgrading which just breaks things.

Finally, To see if this was avoidable or if the video card was compatible I looked up the Certs page to see what alternative pieces of hardware might be an option. Ubuntu's hardware cert pages which used to be great, seems to be dumbed down and listed for down to brands. If you're lucky, the pointless Community hardware search which might give you a irrelevant bit of user info.

Oh well, I'm pretty sure this will be written off as a dupe or NOF or something along those lines..

I've this vga:

01:05.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RS880 [Radeon HD 4250]

and I'm unable to use ubuntu any more, at startup I get an error that tells me to use lower resolution but it locks there.

I installed proprietary drivers (tried both with fglrx and fglrx-updates) but when I run aticonfig --initial
I get:
aticonfig: No supported adapters detected

Is there anything I can do to regain use of my pc except reinstall the old version?

It sounds like you're in the same boat that I am. Basically, ATI
decided that any Radeon product with a chip numbered 4xxx is too old
to be worth supporting any more. ATI has written you off.

On Sun, Oct 21, 2012 at 4:53 PM, Alessandro Polverini <email address hidden> wrote:
> I've this vga:
>
> 01:05.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI
> RS880 [Radeon HD 4250]
>
> and I'm unable to use ubuntu any more, at startup I get an error that
> tells me to use lower resolution but it locks there.
>
> I installed proprietary drivers (tried both with fglrx and fglrx-updates) but when I run aticonfig --initial
> I get:
> aticonfig: No supported adapters detected
>
> Is there anything I can do to regain use of my pc except reinstall the
> old version?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1051362).
> https://bugs.launchpad.net/bugs/1025488
>
> Title:
> fglrx (not installed): fglrx kernel module failed to build [error:
> implicit declaration of function ‘do_mmap’]
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1025488/+subscriptions

Jorge Manuel Pinho (arqueox) wrote :
Download full text (5.1 KiB)

htyou have a solution here. You have to install fglrx-legacy package and
all works fine.
tps://launchpad.net/~makson96
No dia 21/10/2012 22:10, "Christian Convey" <email address hidden>
escreveu:

> It sounds like you're in the same boat that I am. Basically, ATI
> decided that any Radeon product with a chip numbered 4xxx is too old
> to be worth supporting any more. ATI has written you off.
>
> On Sun, Oct 21, 2012 at 4:53 PM, Alessandro Polverini <email address hidden>
> wrote:
> > I've this vga:
> >
> > 01:05.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI
> > RS880 [Radeon HD 4250]
> >
> > and I'm unable to use ubuntu any more, at startup I get an error that
> > tells me to use lower resolution but it locks there.
> >
> > I installed proprietary drivers (tried both with fglrx and
> fglrx-updates) but when I run aticonfig --initial
> > I get:
> > aticonfig: No supported adapters detected
> >
> > Is there anything I can do to regain use of my pc except reinstall the
> > old version?
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (1051362).
> > https://bugs.launchpad.net/bugs/1025488
> >
> > Title:
> > fglrx (not installed): fglrx kernel module failed to build [error:
> > implicit declaration of function ‘do_mmap’]
> >
> > To manage notifications about this bug go to:
> >
> https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1025488/+subscriptions
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1062209).
> https://bugs.launchpad.net/bugs/1025488
>
> Title:
> fglrx (not installed): fglrx kernel module failed to build [error:
> implicit declaration of function ‘do_mmap’]
>
> Status in “fglrx-installer” package in Ubuntu:
> Confirmed
> Status in “fglrx-installer-updates” package in Ubuntu:
> Confirmed
>
> Bug description:
> trying to install ATI drivers
>
> ProblemType: Package
> DistroRelease: Ubuntu 12.10
> Package: fglrx (not installed)
> ProcVersionSignature: Ubuntu 3.5.0-4.4-generic 3.5.0-rc6
> Uname: Linux 3.5.0-4-generic x86_64
> NonfreeKernelModules: wl
> .tmp.unity.support.test.1:
>
> ApportVersion: 2.3-0ubuntu4
> Architecture: amd64
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: None
> DKMSKernelVersion: 3.5.0-4-generic
> Date: Mon Jul 16 20:47:33 2012
> DistUpgraded: 2012-07-16 16:38:43,731 DEBUG enabling apt cron job
> DistroCodename: quantal
> DistroVariant: ubuntu
> DkmsStatus:
> bcmwl, 5.100.82.112+bdcom, 3.2.0-23-generic, x86_64: installed
> bcmwl, 5.100.82.112+bdcom, 3.5.0-4-generic, x86_64: installed
> fglrx, 8.980: added
> GraphicsCard:
> Advanced Micro Devices [AMD] nee ATI RS880M [Mobility Radeon HD 4200
> Series] [1002:9712] (prog-if 00 [VGA controller])
> Subsystem: Hewlett-Packard Company Device [103c:1641]
> Advanced Micro Devices [AMD] nee ATI Robson CE [AMD Radeon HD 6300
> Series] [1002:68e4] (prog-if 00 [VGA controller])
> Subsystem: Hewlett-Packard Company Device [103c:1641]
> InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - ...

Read more...

information type: Public → Public Security
sungin (sungin) wrote :

i had dell inspiron 5520 with Ati HD 7670 having the same problem with unity it just wont display

Same thing here, after installing fglrx via the Software Center, Unity just won't show, with a HD 5750.

rod (e-6od-t) wrote :

also affected after upgrade from 12.04 to 12.10, running on a hp pavilion dv-6 a HD 6700M.

David Meszlender (dmeszlender) wrote :

Installing the packages linux-source and linux-headers-generic before installing the driver solved the problem with my computers.
Looks like these dependencies are missing in the fglrx and nvidia driver packages.

Affected too installing 12.10 on Asus P8P67 with VGA compatible controller: ATI Technologies Inc Barts XT [ATI Radeon HD 6800 Series] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>

Zoltan Maric (zzmaric) wrote :

Affected. installing on lenovo y460 with switchable Intel/ati 5xxx card

Zoltan Maric (zzmaric) wrote :

*Ubuntu 12.10

Jared Bills (duke-wellington) wrote :

I have the same bug. I'm using Ubuntu 12.10 Quantal Quetzal (64 bit), trying to install the AMD 13.1 Legacy Driver with a Sapphire Radeon HD 4890 and the 3.5.0-22-generic kernel.

This is my own bug report (duplicate): https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/1103346

dancing (dancingmusic) wrote :

My original problem was actually fixed automatically when I changed the ownership of all of my home directory files to myself--some of them were root. This caused me to not be able to log in, and Jorg Frings-Furst replied and after some diagnostics had me change the ownership, which fixed not only the login problem, but also the graphics/driver problem, so there was no need to update the radeon driver (which resulted in the above error). I'm not sure if my system is now using the latest driver, so the above bug may still exist, but the graphics work.

It would be very helpful if someone would post something because the ownership/permissions problem can cause SO MANY different problems that are difficult to diagnose. In my case it happened when transferring files from a backup external drive. I read many reports of the same graphics problem (no unity, no panel) and the same login problem (login bumped back to login screen) and the same ecryptfs problem (inability to recover after following all instructions) I had.

One post told the person "check your permissions" but although I knew how, it wasn't clear which files to check or what the permissions were supposed to be. Suffering for years and lost data could have been easily fixed, but I had no idea that permissions could cause these problems. Jorg F-F marked my bugs as non-bugs, which is correct, but how can someone else now find out the information? There were many posts with the same problems witout fixes.

Thank you all for all your help to all of us out here in the field!

To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers